Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class HandlerInfo

    java.lang.Object
      |
      +--quicktime.std.movies.media.HandlerInfo

public class HandlerInfo
extends java.lang.Object

HandlerInfo contains general information for Media and Data Handler components on the type of information they handle and manufacturer's name and ID.

Field Summary
`int` | `manufacturerID` ManufacturerID the ID of the handler's manufacturer.
`java.lang.String` | `name` The name of the handler's manufacturer.
`int` | `subType` Specifies the type of media (subType of Media), or type of data handled (subType of DataHandler).

Constructor Summary
`HandlerInfo(int subType, java.lang.String name, int manufacturerID)` This constructor creates a HandlerInfo object.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### subType

    public int subType

  Specifies the type of media (subType of Media), or type of data handled (subType of DataHandler).

### name

    public java.lang.String name

  The name of the handler's manufacturer.

### manufacturerID

    public int manufacturerID

  ManufacturerID the ID of the handler's manufacturer.

Constructor Detail

### HandlerInfo

    public HandlerInfo(int subType,
                       java.lang.String name,
                       int manufacturerID)

  This constructor creates a HandlerInfo object.
  Parameters:
    `subType` - specifies the type of media (subType of Media), or type of data handled (subType of DataHandler).
    `name` - the name of the handler's manufacturer.
    `manufacturerID` - the ID of the handler's manufacturer.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD